#include <PinChangeInterruptHandler.h>
#include <RFReceiver.h>

class Receiver{
	void (*_messageCallback)(char *);
	unsigned int _bufferSize;
	RFReceiver _receiver;

public:
	Receiver(unsigned int pin, void(*messageCallback)(char*), unsigned int bufferSize):_receiver(pin){
		_messageCallback = messageCallback;
		_bufferSize = bufferSize;
	}

	void setup(){
		_receiver.begin();
	}

	void loop()	{
		char message[_bufferSize];
		if (_receiver.ready()){
			_receiver.recvPackage((byte *)message);
			_messageCallback((char *)message);
		}
	}
};