#include <Arduino.h>
#include <Button.cpp>
#include <Transmitter.cpp>

void sendOnSignal();
void sendOffSignal();
Button _button(13, &sendOnSignal, &sendOffSignal);
unsigned int _counter;
Transmitter _transmitter(12);

void sendSignal(int value){
	Serial.print("Transmitting: ");
	char msg[9];
	sprintf(msg, "LED On: %d", value);
	Serial.println(msg);
	_transmitter.send(msg);
	Serial.println("Transmitted");
}

void sendOnSignal(){
	sendSignal(1);
}

void sendOffSignal(){
	sendSignal(0);
}

void setup() {
	Serial.begin(9600);
	Serial.println("Starting");
}

void loop() {
	_button.loop();
}